
Base Distribution - Story # 7923

Status: Resolved Priority: Should have
Author: Daniel Poetzinger Category:
Created: 2010-05-26 Assigned To:
Updated: 2011-11-07 Due date:
Subject: As Magarethe I want to edit content on the website using inline editing
Description

-Edit Headline and Text inline on all pages where we have Text elements
  -if it looses focus it saves in the CE fields according to the CE structure

Structure to support:
[mul_ZZ: Page]
  /  
[SN]    ------[de_DE: Section]
|    /       title: "Willkommen" 
|    +----[en_EN: Section]
  +--[SN]      title: "Welcome" 
     |
       +-[SN]--[mul_ZZ: Text]
          |     body: "Go to our &lt;link&gt; other website!" 
          | 
            +-[SN]--[mul_ZZ: Link] 
                      href:

Content Context:
   de_DE
   time
   ...

Related issues:
related to TYPO3.Neos - Task # 8690: A Service for adding content is needed Resolved 2010-07-06
related to TYPO3.Neos - Task # 8697: all editable content must be wrapped wit... Closed 2010-07-06
related to TYPO3.Neos - Task # 8698: Text Elements and Section Elements shoul... Resolved 2010-07-06
related to TYPO3.Neos - Task # 8699: If the Frontend Editor looses focus, all... Resolved 2010-07-06

History
#1 - 2010-07-03 23:26 - Daniel Poetzinger
- Tracker changed from Task to Story
- Subject changed from As a Editor I want to add new pages to the website to As Magarethe I want to edit content on the website using aloha editor

#2 - 2010-07-04 00:22 - Daniel Poetzinger
- Subject changed from As Magarethe I want to edit content on the website using aloha editor to As Magarethe I want to edit content on the website 
using inline editing

#3 - 2010-07-09 13:50 - Robert Lemke
- Project changed from 1204 to Core Team

#4 - 2010-07-09 13:51 - Robert Lemke
- Target version set to 593
#5 - 2010-08-20 12:18 - Robert Lemke
- Status changed from New to Resolved

Story is done, however we don't support nested structures yet.

#6 - 2010-10-21 11:02 - Robert Lemke
- Status changed from Resolved to New
- Target version deleted (593)

#7 - 2010-10-28 16:08 - Daniel Poetzinger
- Position deleted (5439)
- Position set to 1

#8 - 2010-10-28 16:09 - Daniel Poetzinger
- Position deleted (1)
- Position set to 1

#9 - 2010-11-30 19:24 - Robert Lemke
- Status changed from New to Resolved

#10 - 2011-05-05 13:49 - Robert Lemke
- Project changed from Core Team to Base Distribution
